<section
  class="my-mapset-preview"
  *ngIf="vm$ | async as vm"
>
  <!-- Accordion -->
  <jds-bi-accordion
    id="accordion-mapset-preview"
    #acc="jdsBiAccordion"
    [destroyOnHide]="false"
    [closeOthers]="false"
    [activeIds]="[
      'accordion-mapset-preview-information',
      'accordion-mapset-preview-metadata',
      'accordion-mapset-preview-attribute'
    ]"
    [colorScheme]="colorScheme"
    [ngClass]="['accordion-mapset-preview']"
    (panelChange)="beforeChange($event)"
  >
    <!-- Panel Informasi -->
    <jds-bi-panel id="accordion-mapset-preview-information">
      <ng-template jdsBiPanelTitle>
        <div
          [ngClass]="[jds.fs(18), jds.p(20)]"
          [style.width.%]="100"
        >
          <h6>Informasi Mapset</h6>
        </div>
      </ng-template>
      <ng-template jdsBiPanelContent>
        <div [ngClass]="[jds.px(20), jds.pt(0), jds.pb(20)]">
          <div [ngClass]="[jds.tableResponsive]">
            <table
              *ngIf="vm.mapsetFormGroup.value as item"
              [ngClass]="[jds.table, jds.tableBorderless]"
              role="table"
              aria-label="Informasi Mapset"
              aria-describedby="Table Informasi Mapset"
            >
              <tbody>
                <tr>
                  <th
                    [ngClass]="jds.fw('normal')"
                    [style.width.%]="25"
                  >
                    Judul
                  </th>
                  <td [style.width.px]="10">:</td>
                  <td>{{ item.info_name || '-' }}</td>
                </tr>
                <tr>
                  <th [ngClass]="jds.fw('normal')">Deskripsi</th>
                  <td>:</td>
                  <td
                    class="ck-satudata"
                    [innerHTML]="
                      item.info_description
                        ? (item.info_description | safeHtml)
                        : '-'
                    "
                  ></td>
                </tr>
                <tr>
                  <th [ngClass]="jds.fw('normal')">Skala</th>
                  <td>:</td>
                  <td>{{ item.info_scale || '-' }}</td>
                </tr>
                <tr>
                  <th [ngClass]="jds.fw('normal')">Topik</th>
                  <td>:</td>
                  <td>{{ item.info_topic ? item.info_topic.name : '-' }}</td>
                </tr>
                <tr>
                  <th [ngClass]="jds.fw('normal')">Klasifikasi</th>
                  <td>:</td>
                  <td>
                    {{
                      item.info_classification
                        ? item.info_classification.name
                        : '-'
                    }}
                  </td>
                </tr>
                <tr *ngIf="item.info_classification_access">
                  <th [ngClass]="jds.fw('normal')">
                    Organisasi yang diberi Akses
                  </th>
                  <td>:</td>
                  <td>
                    <ul [ngClass]="[jds.ps(15), jds.mb(0)]">
                      <li
                        *ngFor="let row of item.info_classification_access"
                        style="line-height: unset"
                      >
                        {{ row.nama_skpd }}
                      </li>
                    </ul>
                  </td>
                </tr>
                <tr>
                  <th [ngClass]="jds.fw('normal')">Status Data</th>
                  <td>:</td>
                  <td>
                    <ng-container
                      *ngIf="item.info_status_data; else emptyStatusData"
                    >
                      <span
                        [colorScheme]="
                          getStatusData(item.info_status_data).color
                        "
                        [ngClass]="[jds.rounded('pill')]"
                        jdsBiBadge
                        variant="subtle"
                      >
                        <jds-bi-icon
                          [name]="getStatusData(item.info_status_data).icon"
                          [ngClass]="[jds.me(4)]"
                        />
                        <span>
                          {{ getStatusData(item.info_status_data).name }}
                        </span>
                      </span>
                    </ng-container>

                    <ng-template #emptyStatusData>-</ng-template>
                  </td>
                </tr>
                <tr>
                  <th [ngClass]="jds.fw('normal')">Program</th>
                  <td>:</td>
                  <td>
                    {{ item.info_program ? item.info_program.name : '-' }}
                  </td>
                </tr>
                <tr>
                  <th [ngClass]="jds.fw('normal')">Regional</th>
                  <td>:</td>
                  <td>
                    {{
                      item.info_regional
                        ? item.info_regional.nama_kemendagri
                        : '-'
                    }}
                  </td>
                </tr>
                <ng-container
                  *ngIf="getRegional(item.info_regional) === 'province'"
                >
                  <tr>
                    <th [ngClass]="jds.fw('normal')">
                      Organisasi Penanggung Jawab
                    </th>
                    <td>:</td>
                    <td>
                      {{
                        item.info_organization
                          ? item.info_organization.nama_skpd
                          : '-'
                      }}
                    </td>
                  </tr>
                  <tr>
                    <th [ngClass]="jds.fw('normal')">
                      Bidang Organisasi Penanggung Jawab
                    </th>
                    <td>:</td>
                    <td>
                      {{
                        item.info_organization_sub
                          ? item.info_organization_sub.nama_skpdsub
                          : '-'
                      }}
                    </td>
                  </tr>
                  <tr>
                    <th [ngClass]="jds.fw('normal')">
                      Seksi Organisasi Penanggung Jawab
                    </th>
                    <td>:</td>
                    <td>
                      {{
                        item.info_organization_unit
                          ? item.info_organization_unit.nama_skpdunit
                          : '-'
                      }}
                    </td>
                  </tr>
                </ng-container>
                <ng-container
                  *ngIf="getRegional(item.info_regional) === 'county'"
                >
                  <tr>
                    <th [ngClass]="jds.fw('normal')">
                      Organisasi Penanggung Jawab
                    </th>
                    <td>:</td>
                    <td>{{ item.info_organization_county || '-' }}</td>
                  </tr>
                </ng-container>
                <tr>
                  <th [ngClass]="jds.fw('normal')">Alamat</th>
                  <td>:</td>
                  <td>{{ item.info_organization_address || '-' }}</td>
                </tr>
                <tr>
                  <th [ngClass]="jds.fw('normal')">Telepon</th>
                  <td>:</td>
                  <td>{{ item.info_organization_phone || '-' }}</td>
                </tr>
                <tr>
                  <th [ngClass]="jds.fw('normal')">Alamat Email</th>
                  <td>:</td>
                  <td>{{ item.info_organization_email || '-' }}</td>
                </tr>
                <tr>
                  <th [ngClass]="jds.fw('normal')">Status Aktif</th>
                  <td>:</td>
                  <td>{{ item.info_status ? 'Aktif' : 'Tidak Aktif' }}</td>
                </tr>
                <tr>
                  <th [ngClass]="jds.fw('normal')">
                    Mapset Geospasial Populer
                  </th>
                  <td>:</td>
                  <td>{{ item.info_popular ? 'Aktif' : 'Tidak Aktif' }}</td>
                </tr>
              </tbody>
            </table>
          </div>
        </div>
      </ng-template>
    </jds-bi-panel>

    <!-- Panel Metadata -->
    <jds-bi-panel id="accordion-mapset-preview-metadata">
      <ng-template jdsBiPanelTitle>
        <div
          [ngClass]="[jds.fs(18), jds.p(20)]"
          [style.width.%]="100"
        >
          <h6>Metadata</h6>
        </div>
      </ng-template>
      <ng-template jdsBiPanelContent>
        <div [ngClass]="[jds.px(20), jds.pt(0), jds.pb(20)]">
          <div [ngClass]="[jds.tableResponsive]">
            <table
              *ngIf="vm.mapsetFormGroup.value as item"
              [ngClass]="[jds.table, jds.tableBordered, jds.tableStriped]"
              role="table"
              aria-label="Metadata"
              aria-describedby="Table Metadata"
            >
              <tbody>
                <tr>
                  <th
                    [ngClass]="jds.fw('normal')"
                    [style.width.%]="25"
                  >
                    Sumber Data
                  </th>
                  <td>
                    {{
                      item.meta_mapset_source
                        ? item.meta_mapset_source.name
                        : '-'
                    }}
                  </td>
                </tr>
                <tr>
                  <th [ngClass]="jds.fw('normal')">Mapservice</th>
                  <td>
                    <ng-container
                      *ngIf="item.meta_mapservice; else emptyMapservice"
                    >
                      <a
                        [ngClass]="['t-link']"
                        [href]="item.meta_mapservice"
                        target="_blank"
                      >
                        <span>Lihat Tautan</span>
                        <jds-bi-icon
                          [ngClass]="[jds.ms(11)]"
                          [size]="14"
                          name="arrow-up-right-from-square"
                        />
                      </a>
                    </ng-container>

                    <ng-template #emptyMapservice>-</ng-template>
                  </td>
                </tr>
                <tr>
                  <th [ngClass]="jds.fw('normal')">Metadata XML</th>
                  <td>
                    @if (item.meta_file_xml) {
                      <a
                        [ngClass]="['t-link']"
                        [href]="item.meta_file_xml | mapsetMetadataXML"
                        target="_blank"
                      >
                        <span>Lihat Tautan</span>
                        <jds-bi-icon
                          [ngClass]="[jds.ms(11)]"
                          [size]="14"
                          name="arrow-up-right-from-square"
                        />
                      </a>
                    } @else {
                      <span>-</span>
                    }
                  </td>
                </tr>
                <tr>
                  <th [ngClass]="jds.fw('normal')">File SHP</th>
                  <td>
                    @if (item.meta_file_zip) {
                      <a
                        [ngClass]="['t-link']"
                        [href]="item.meta_file_zip | mapsetFileZIP"
                        target="_blank"
                      >
                        <span>Download</span>
                        <jds-bi-icon
                          [ngClass]="[jds.ms(11)]"
                          [size]="14"
                          name="cloud-arrow-down"
                        />
                      </a>
                    } @else {
                      <span>-</span>
                    }
                  </td>
                </tr>
                <tr>
                  <th [ngClass]="jds.fw('normal')">Tipe Mapset</th>
                  <td>
                    {{
                      item.meta_mapset_type ? item.meta_mapset_type.name : '-'
                    }}
                  </td>
                </tr>
                <tr>
                  <th [ngClass]="jds.fw('normal')">Cakupan Wilayah</th>
                  <td>
                    {{
                      item.meta_area_coverage
                        ? item.meta_area_coverage.name
                        : '-'
                    }}
                  </td>
                </tr>
                <tr>
                  <th [ngClass]="jds.fw('normal')">Periode Update Data</th>
                  <td>{{ item.meta_period_update || '-' }}</td>
                </tr>
                <tr>
                  <th [ngClass]="jds.fw('normal')">Edisi/Versi Data</th>
                  <td>{{ item.meta_version || '-' }}</td>
                </tr>
              </tbody>
            </table>
          </div>
        </div>
      </ng-template>
    </jds-bi-panel>

    <!-- Panel Atribut -->
    <jds-bi-panel id="accordion-mapset-preview-attribute">
      <ng-template jdsBiPanelTitle>
        <div
          [ngClass]="[jds.fs(18), jds.p(20)]"
          [style.width.%]="100"
        >
          <h6>Atribut Mapset</h6>
        </div>
      </ng-template>
      <ng-template jdsBiPanelContent>
        <div [ngClass]="[jds.px(20), jds.pt(0), jds.pb(20)]">
          <div [ngClass]="[jds.tableResponsive]">
            <table
              *ngIf="vm.mapsetAttributeFormGroup.value as item"
              [ngClass]="[jds.table, jds.tableStriped, jds.fs(14)]"
              role="table"
              aria-label="Atribut Mapset"
              aria-describedby="Table Atribut Mapset"
            >
              <thead
                [ngClass]="[jds.bg(jdsBiColor.blue['700']), jds.text('white')]"
              >
                <tr>
                  <th [ngClass]="['table-head', jds.borderEnd(1)]">
                    Atribut KUGI
                  </th>
                  <th class="table-head">Atribut Alias</th>
                </tr>
              </thead>
              <tbody>
                <tr *ngFor="let form of getFormAttribute(item)">
                  <td>{{ form.key }}</td>
                  <td>{{ item[form.key] || '-' }}</td>
                </tr>
              </tbody>
            </table>
          </div>
        </div>
      </ng-template>
    </jds-bi-panel>
  </jds-bi-accordion>
</section>
